< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package calculations
  Definition Classes
    computations
- AdjustedTradingProfitCalculator
- AdjustedTradingProfitForPeriodCalculator
- AdjustedTradingProfitOrLossCalculator
- AnnualInvestmentAllowanceCalculator
- AnnualInvestmentAllowancePeriod
- AnnualInvestmentAllowancePeriods
- ApportionedTurnover
- ApportionedTurnoverCalculator
- ErrorState
- ExpensesCalculator
- FYA
- IncomeFromPropertyCalculator
- LossesBroughtForwardAgainstTradingProfitCalculator
- LossesCarriedForwardsCalculator
- LossesSetAgainstOtherProfitsCalculator
- LowEmissionCarRate
- LowEmissionCarsCalculator
- MachineryAndPlantCalculator
- MainRate
- NetProfitsChargeableToCtCalculator
- NetProfitsChargeableToCtWithoutDonationsCalculator
- NetTradingProfitCalculator
- NonBankInterestSimilarIncomeReceivableCalculator
- NonTradeIncomeCalculator
- PoolPercentageCalculator
- ProfitAndLossCalculator
- QualifyingExpenditureOnMachineryCalculation
- SBACalculator
- SpecialRate
- SummaryCalculator
- SummaryLossesArisingThisPeriodCalculator
- TotalAdditionsCalculator
- TotalDeductionsCalculator
- TotalExpenditureQualifyingForTheFirstYearAllowanceCalculator
- TotalFirstYearAllowanceClaimedCalculation
- TotalProfitsBeforeDeductionsCalculator
- TradingLossesCP286MaximumCalculator
- TradingLossesThisAndLaterPeriodCalculation
- WritingDownAllowanceCalculator

t

uk.gov.hmrc.ct.computations.calculations

# LowEmissionCarRate 

###

#### sealed trait LowEmissionCarRate extends AnyRef

Needed to include an ErrorState here because not having a case in the LowEmissionCarsCalculator for unmatched cases was leading to exceptions if the user didn't input any values for emissions or the cars emissions in the edit or add car page.

Linear Supertypes
AnyRef, Any
Known Subclasses
ErrorState, FYA, MainRate, SpecialRate
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LowEmissionCarRate
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped